<div *ngIf="productDetails" class="header">
<div class="wrapper">
  <div>
    <img class="image" src="{{ productDetails?.image }}" alt="img" />
  </div>
  <div class="details">
    <h6 style="color: black; text-align: start; ">{{ productDetails?.title }}</h6>
    <h2 class="priceTag" style="font-weight: 600; font-size: 35px;">${{productDetails?.price}}/-</h2>
    
    <div class="ratingHeader">
    <h6 class="ratingh6">{{productDetails?.rating.rate}}</h6>
    <div class="rating">
      <img
        id="star1"
        class="star"
        src="../../../assets/images/kindpng_1099774.png"
        alt="cart"
      />
    </div>
    </div>   
    
    <p class="description"><span class="description-title"> Description:- </span>{{ productDetails.description }}</p>
    
    <div class="btn">
      <button  (click)="onClick()" class="price">BUY NOW </button>
      <div class="gotocart">
      <button (click)="click()" class="addCart">GO TO CART</button>
      <i style="font-size: 30px" class="fas fa-cart-plus"></i>
    </div>
  </div>
  </div>
</div>
</div>